> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vellaro.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Information

> Admin: create a new information page.



## OpenAPI

````yaml https://api.vellaro.io/openapi/admin.json post /api/v1/admin/information
openapi: 3.1.0
info:
  title: Vellaro Admin API
  description: >-
    Store management under `/api/v1/admin`, for back ends and integrations.
    Every call takes `Authorization: Bearer <token>`: an admin API token or a
    staff user's token. The permissions of its role decide what it can do,
    always in its own store.
  version: 0.1.0
servers:
  - url: https://api.vellaro.io
    description: Produzione
security: []
tags:
  - name: Orders
    description: >-
      Orders and manual orders, payments, refunds, shipments, invoices, returns,
      customer subscriptions.
  - name: Products
    description: Products, variants, images, prices and discounts, product lookups.
  - name: Categories & catalog setup
    description: >-
      Categories, brands, attributes, options, filters, downloadable files,
      recurring profiles.
  - name: Inventory
    description: Stock of the variants and stock statuses.
  - name: Customers
    description: Customers, customer groups, custom fields.
  - name: Reviews & questions
    description: Moderation of product reviews and questions.
  - name: Promotions & coupons
    description: Coupons and gift vouchers.
  - name: Marketing
    description: Campaigns, newsletter subscribers, affiliates and their commissions.
  - name: Content
    description: >-
      CMS pages, menus, banners, information pages, flipbooks, media library,
      SEO URLs, email templates, translations.
  - name: Settings
    description: >-
      Store settings, email delivery, languages, currencies, physical stores,
      social login providers.
  - name: Shipping
    description: Couriers, shipping rates, weight and length classes.
  - name: Taxes & geo
    description: Tax classes, rates and rules; countries, zones and geo zones.
  - name: Integrations & modules
    description: >-
      Integrations, plugins and modules (Iute, extra warranty, Nextera, Financa
      5, WhatsApp, Firebase), outbound webhooks.
  - name: AI
    description: AI content generation and the settings of the AI shopping assistant.
  - name: Imports
    description: 'CSV imports and the universal import: runs, mappings, previews, undo.'
  - name: Reports & dashboard
    description: Dashboard figures and reports.
  - name: Users & API keys
    description: Staff users and roles, publishable keys, admin API tokens.
  - name: Audit
    description: The store's audit log.
paths:
  /api/v1/admin/information:
    post:
      tags:
        - Content
      summary: Create Information
      description: 'Admin: create a new information page.'
      operationId: create_information_api_v1_admin_information_post
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/InformationCreate'
      responses:
        '201':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiResponse_InformationOut_'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    InformationCreate:
      properties:
        slug:
          anyOf:
            - type: string
            - type: 'null'
          title: Slug
        title_i18n:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Title I18N
        description_i18n:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Description I18N
        meta_title_i18n:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Meta Title I18N
        meta_description_i18n:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Meta Description I18N
        show_in_footer:
          type: boolean
          title: Show In Footer
          default: false
        sort_order:
          type: integer
          title: Sort Order
          default: 0
        is_active:
          type: boolean
          title: Is Active
          default: true
      type: object
      title: InformationCreate
    ApiResponse_InformationOut_:
      properties:
        data:
          anyOf:
            - $ref: '#/components/schemas/InformationOut'
            - type: 'null'
        meta:
          anyOf:
            - $ref: '#/components/schemas/PaginationMeta'
            - type: 'null'
        error:
          anyOf:
            - type: string
            - type: 'null'
          title: Error
        error_code:
          anyOf:
            - type: string
            - type: 'null'
          title: Error Code
      type: object
      title: ApiResponse[InformationOut]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    InformationOut:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        slug:
          anyOf:
            - type: string
            - type: 'null'
          title: Slug
        title_i18n:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Title I18N
        description_i18n:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Description I18N
        meta_title_i18n:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Meta Title I18N
        meta_description_i18n:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Meta Description I18N
        show_in_footer:
          type: boolean
          title: Show In Footer
        sort_order:
          type: integer
          title: Sort Order
        is_active:
          type: boolean
          title: Is Active
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
      type: object
      required:
        - id
        - slug
        - title_i18n
        - description_i18n
        - meta_title_i18n
        - meta_description_i18n
        - show_in_footer
        - sort_order
        - is_active
        - created_at
        - updated_at
      title: InformationOut
    PaginationMeta:
      properties:
        page:
          type: integer
          title: Page
        page_size:
          type: integer
          title: Page Size
        total:
          type: integer
          title: Total
        total_pages:
          type: integer
          title: Total Pages
      type: object
      required:
        - page
        - page_size
        - total
        - total_pages
      title: PaginationMeta
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.